Release Notes for Intel System Information Retrieval Utility (SysInfo)
Version 14.0 Build 18

Aug 18, 2016
Copyright (c) 2016 Intel Corporation.
===========================================

Contents
--------

1. Introduction
2. Supported Platforms
3. Supported Operating Systems
4. Pre-requisites
5. Installation and Un-installation
6. Usage
7. Known Issues
8. Unsupported Features
9. Change List
10. Legal Information

1. Introduction
---------------

The System Information Retrieval Utility (SysInfo) is used for collecting the system information.
This utility dumps the following information to log files:

    1. Platform Firmware Inventory

    2. Sensor information

    3. Sensor Data Records
    
    4. BMC SEL (IN HUMAN READABLE FORM)

    5. BMC SEL (IN HEX FORM)
    
    6. Base Board FRU
    
    7. System BMC Boot Order

    8. BMC User Settings
    
    9. BMC LAN Channel Settings

    10. BMC SOL Channel Settings

    11. BMC Power Restore Policy Settings

    12. BMC channel settings

    13. SMBIOS Type 1, Type 2, Type 3
    
    14. Processor

    15. Memory

    16. Operating System Information

    17. IDESCSI

    18. HARD Drive

    20. Device Manager Information (a.k.a drivers)

    21. List Of Software Installed

    22. BIOS Settings (per BIOS SETUP F2 Screen).

    23. RAID settings and RAID log

    24. Operating System Event Log

    25.	SATA

    26. PCI Bus Device Information
    

2. Supported Platforms
----------------------

   Intel(R) Server Board based on Intel(R) Xeon(R) processor E5-1600/2600/4600 v2 product family
   Intel(R) Server Board based on Intel(R) Xeon(R) processor E5-2400 v2 product family
   Intel(R) Server Board based on Intel(R) Xeon(R) processor E5-2600 v3/v4 product family
   Intel(R) Server Board based on Intel(R) Xeon(R) processor E3-1200 v2/v3/v4/v5 product family
   Intel(R) Server Board based on Intel(R) Xeon(R) phi(TM) product family 

3. Supported Operating Systems
------------------------------

      EFI Shell
      Windows* Server 2012 R2 EM64T
      Windows* Server 2016 EM64T
      Windows* 10 EM64T
      Windows* PE 4.x EM64T
      RHEL* 6.x and 7.x EM64T
      CentOS* 7.x EM64T
      SuSE* 11.x and 12.x EM64T

   The below OSes are not supported after Build 15:
      Windows* Server 2012 Enterprise (32bit & EM64T)
      Windows* Server 2008 Enterprise (32bit & EM64T)
      Windows* Server 2008 R2 SP1 EM64T
      Windows* 7 (32bit & EM64T)
      Windows* PE 3.x (32bit & EM64T)
      Windows* PE 4.x 32bit
      RHEL* 6.x 32 bit
      CentOS* 6.x 32 bit
      SuSE* 11.x 32 bit

4. Pre-requisites
-----------------

 Download the latest platform S/W stack (BIOS/FW/FRUSDR package) for the platform and install it. Ensure system
 is running with the latest platform S/W stack. For the latest platform S/W stack, refer the link http://support.intel.com

Windows
-------

   1. Boot to Windows Server 2008 (32 bit or EM64T) with WMI enabled.

   2. An external RAID driver needs to be loaded for RAID log generation in Windows. This driver can be downloaded from http://www.intelraid.com/. This download  
       supports Intel RAID Controllers using SAS software stack. Steps to download the driver from http://www.intelraid.com/
	i. Under Support, go to Download Center
	ii. Select a product family: Server Products
	iii. Select a product line: Intel (R) RAID Controllers
	iv. Select a product name: Intel (R) RAID Controller. Eg. RS25DB080
	v. Download 'SAS Hardware RAID Driver'.
	vi. Follow Install Instructions as per ReadMe document.

    3. The system needs to be rebooted after installing memrw driver (run "memrwdinstall.bat") on Windows 2012.

Linux
-----

    1. System is booted and running with any of the supported operating systems.

    2. In order to successfully install sysinfo into system, please make sure your Linux installation with all the dev packages or a customized one. 
       As like are some libraries(ncurses-libs-xx, libstdc++ etc) are pre-requested for sysinfo successful installation.

    3. An external RAID driver needs to be loaded for RAID log generation in Linux. This driver can be downloaded from http://www.intelraid.com/. This download  
       supports Intel RAID Controllers using SAS software stack. Steps to download the driver from http://www.intelraid.com/
	i. Under Support, go to Download Center
	ii. Select a product family: Server Products
	iii. Select a product line: Intel (R) RAID Controllers
	iv. Select a product name: Intel (R) RAID Controller. Eg. RS25DB080
	v. Download 'SAS Hardware RAID Driver'.
	vi. Install DKMS support under Linux console
	      # rpm -ivh dkms-2.0.22.0-1.noarch.rpm
	vii. Install RAID driver using DKMS driver installation package
	      # rpm -ivh ir3_sas-v00.00.06.12-1.noarch.rpm
    
    4. On RHEL*, SLES*, CentOS*, UEFI aware Linux or other Linux
       There might be a driver confliction between internal driver and kernel. You need to start up OpenIPMI driver and make sure "/dev/ipmi0" device is existed.
	  
       For RHEL* 6.x run the below command and make sure "/dev/ipmi0" device is existed.
         #modprobe ipmi_devintf
       For RHEL* 7.x run the below command and make sure "/dev/ipmi0" device is existed.
         #modprobe ipmi_si 	  
       For SLES* run the below command and make sure "/dev/ipmi0" device is existed.
         #service ipmi start
		 
5. Installation and Un-installation
-----------------------------------
     Installation
     ------------

     UEFI
     ----

     1. Copy the un-compressed ZIP file into your local directory (e.g. fs0:\sysinfo)

     2. Go to UEFI folder

     3. Run sysinfo.efi

     4. Here the sysinfo binary is available. sysinfo.efi logs system information as below

            a. sysinfo_log.txt 

               ( Platform Firmware Inventory, Sensor Information, Sensor Data Records, BMC SEL (IN HUMAN READABLE FORM), 

               BMC SEL (IN HEX FORM),  Base Board FRU, System BMC Boot Order, BMC User Settings, 

               BMC LAN Channel Settings, BMC SOL Channel Settings,  BMC Power Restore Policy Settings,

               BMC channel settings, SMBIOS Type 1, Type 2, Type 3, Processor, Memory, Operating System Information,

               BIOS settings per F2 screen).                             

            b. RAID_NVRAMlog.txt (RAID settings and RAID log)

            c. PCI_Log.txt (PCI Bus info).

     Windows
     -------

     1. Copy the compressed ZIP file into your local directory (e.g. C:\sysinfo)

     2. Unzip into the folder. (release notes is available in this folder)

     3. Go to "Windows" or "WinPE" folder. 

     4. Install driver. 
        According to OS architecture, go to folder "Drivers\x86" or "Driver\EM64T" and run "install.bat" as administrator to install ipmi, smi and memory map drivers. 
        In order to dump SATA_log.txt and PCI_log.txt, you have to install memrw driver by running "memrwdinstall.bat" as administrator in the same folder, and then reboot system.

     5. Go to "Binaries\" folder

     6. Run sysinfo.exe
        For 32&64 bit Windows, go to folder "x86\" and run "sysinfo.exe" as administrator.
        Only for 64 bit WinPE, go to folder "EM64T\" and run "sysinfo.exe".

     7. sysinfo.exe logs system information as below

        a. sysinfo_log.txt 

            ( Platform Firmware Inventory, Sensors, Sensor Data Records, BMC SEL (IN HUMAN READABLE FORM), 

            BMC SEL (IN HEX FORM),  Base Board FRU, System BMC Boot Order, BMC User Settings, 

            BMC LAN Channel Settings, BMC SOL Channel Settings,  BMC Power Restore Policy Settings,

            BMC channel settings, SMBIOS Type 1, Type 2, Type 3, Memory, Processor, IDESCSI,

            HARD Drive, Operating System Information, Device Manager Information (a.k.a drivers),

            List Of Software Installed, BIOS Settings (per BIOS SETUP F2 Screen)).                              

        b. RAID_NVRAMlog.txt (RAID settings and RAID log)

        c. OS_Eventlog.txt (Operating System Event Log)

        d. SATA_log.txt (SATA information)

        e. PCI_log.txt (PCI Bus information). 

     Linux
     -----

     1. Copy the ZIP file into your local directory (e.g. /root/sysinfo/) on your Linux m/c.

     2. Unzip using the standard Linux 'unzip' command, use "# chmod 755" to change executable and script.

     3. Go to Linux folder

     4. If there is another version already has been installed previously, uninstall that version first with running "uninstall.sh" before installing the new version.

     5. Run 'source install.sh' command on the shell prompt, to install the sysinfo components.

     6. Now run './sysinfo' on the shell prompt, sysinfo logs system information as below

            a. sysinfo_log.txt 

            ( Platform Firmware Inventory, Sensor information, Sensor Data Records, BMC SEL (IN HUMAN READABLE FORM), 

            BMC SEL (IN HEX FORM),  Base Board FRU, System BMC Boot Order, BMC User Settings, 

            BMC LAN Channel Settings, BMC SOL Channel Settings,  BMC Power Restore Policy Settings,

            BMC channel settings, SMBIOS Type 1, Type 2, Type 3, Processor, Memory, Operating System Information, Device drivers installed,

            List Of Software Installed, BIOS Settings (per BIOS SETUP F2 Screen)).
                              

            b. RAID_NVRAMlog.txt (RAID settings and RAID log)

            c. PCI_Log.txt (PCI Bus info).

            d. OS_Eventlog.txt (operating System Events).

     

     Uninstallation:
     ---------------

     UEFI
     ----

     1. Remove the folder in which sysinfo.efi present.

     Windows
     -------

     1. Go to "Windows\Binaries\x86" folder in the main folder

     2. Run uninstall.bat (for un-installing sysinfo).

     Linux
     -----

     1. Run the './uninstall.sh' present in Linux/RHEL folder or Linux/SUSE folder depends on Linux distribution.

     2. Remove the Linux folder.


6. Usage
--------

UEFI
----

      sysinfo.efi [-h/-?] [type] [-ni]
        
        -h/-?     -- view the command-line help page.
        type      -- no switch - log system information (sysinfo_log.txt, PCI_log.txt).
                     [-raid]   - log system information including RAID info (sysinfo_log.txt, RAID_NVRAMlog.txt, PCI_log.txt).
        -ni       -- log system information in a non-interactive way. 
			 

Windows
-------

      sysinfo.exe [-h/-?] [type] [-ni]

        -h/-?      -- view the command-line help page.
        type       -- no switch    - log system information (sysinfo_log.txt, OS_Eventlog.txt).
                      [-raid]      - log system information including RAID info (sysinfo_log.txt, RAID_NVRAMlog.txt, OS_Eventlog.txt).
                      [-sata -pci] - log system information (SATA_log.txt, PCI_log.txt).
        -ni        -- log system information in a non-interactive way. 
Linux
-----

      ./sysinfo [-h/-?] [type] [output_dir] [-ni]

        -h/-?      -- view the command-line help page.
        type       -- no switch - log system information (sysinfo_log.txt, PCI_log.txt, OS_Eventlog.txt).
                      [-raid]   - log system information including RAID info (sysinfo_log.txt, RAID_NVRAMlog.txt, PCI_log.txt, OS_Eventlog.txt).
        output_dir -- log system information in user specified output directory. 
        -ni        -- log system information in a non-interactive way. 

      Note: Sysinfo Utility in Linux can be invoked from any directory. Hence, the utility can also be invoked as "sysinfo" instead of "./sysinfo".

7. Known Issues
---------------

   1. There are a few additional BIOS settings related to Boot Options(not seen in the F2 screen) logged in the file. 
   2. The channel information for an unsupported channel number for the platform would be logged as an error in the file.
   3. The system information retrieval takes around 11 minutes in EFI shell.
   4. Sensor information logged in UEFI in sysinfo_log.txt, contains junk characters when viewed on Windows OS.
   5. IPV6 Configuration is not supported on S1200 platform series.
   6. RAID, SATA and PCI logging is not supported in WinPE 3.0/4.0.
   7. WinPE3.x/4.x EM64T binary does not support OS related information retrieve.
   8. "RAID_NVRAMlog.txt" is generated by third party tool "StorCLI". It may have some specific limitations.
      Please read its release note in "\Licenses\storcli" for its supported RAID cards and more details.
   9. Utilities, SNMP-SA and IASC cannot run at the same time due to KCS port conflict. There will be error message 
      "Error: Application Cannot Communicate to the BMC.".
   10. IO port access is not allowed in Linux when UEFI secure boot is enabled. Please disable UEFI secure boot in F2 menu before running utility.
   11. SATA and PCI logging is not supported in Windows when UEFI secure boot is enabled. Please disable UEFI secure boot in F2 menu before running utility.
   
8. Unsupported Features
------------------------

   Utility cannot be executed successfully when UEFI secure boot is enabled under Linux because Linux closes all IO port access when UEFI secure boot is enabled. If customer wants to use it under Linux environment, please ensure UEFI secure boot is disabled in BIOS F2 menu. 

9. Change List
------------------------

   Build 18
   Fix a defect about SEL translation for DIMM thermal margin sensor.
   Update Windows memrw driver.
   Support BIOS security fix.
   Update supported platforms.

   Build 17
   ReleaseNotes OS list update.

10. Legal Information
--------------------
========================================================
                               LEGAL INFORMATION
========================================================

Information in this document is provided in connection with Intel Products
and for the purpose of supporting Intel developed server boards and systems.
No license, express or implied, by estoppel or otherwise, to any intellectual 
property rights is granted by this document. Except as provided in Intel's 
Terms and Conditions of Sale for such products, Intel assumes no liability 
whatsoever, and Intel disclaims any express or implied warranty, relating to 
sale and/or use of Intel products including liability or warranties relating 
to fitness for a particular purpose, merchantability, or infringement of any 
patent, copyright or other intellectual property right. Intel Corporation may 
have patents or pending patent applications, trademarks, copyrights, or other 
intellectual property rights that relate to the presented subject matter.  
The furnishing of documents and other materials and information does not 
provide any license, express or implied, by estoppel or otherwise, to any 
such patents, trademarks, copyrights, or other intellectual property rights.  
Intel products are not intended for use in medical, life saving, or life 
sustaining applications. Intel may make changes to specifications and product 
descriptions at any time, without notice.
Intel is a registered trademark of Intel Corporation. 
*Other names and brands are the property of their respective owners.
Copyright (c) 2016 Intel Corporation.
(end)
